> For the complete documentation index, see [llms.txt](https://docs.giga.store/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.giga.store/webhooks/balance-activation.md).

# Balance Activation

Gigastore sends notifications via webhook as a POST request whenever a data balance is activated. The notification helps you stay aware when users start using mobile data, which is especially important when using [first\_use](/api/activation-modes.md#three-activation-options-are-available) or [on\_demand](/api/activation-modes.md#three-activation-options-are-available) activation methods.

{% hint style="info" %}
Please add your server URL on [Gigastore](https://dent.giga.store/#/api). \
Only **HTTPS** server URLs are allowed.&#x20;
{% endhint %}

### Request Parameters <a href="#response-parameters" id="response-parameters"></a>

| Attribute     | Type   | Example                              | Info                                |
| ------------- | ------ | ------------------------------------ | ----------------------------------- |
| uid           | string | 058c8716-47dd-4fc4-be89-00978a86b7c0 | ID of the Gigastore Customer        |
| activatedItem | string | a15bb850-c166-4941-aef6-24fdbe27722d | Item ID of the balance              |
| activatedAt   | string | 2025-08-25T09:52:10Z                 | Date when the balance was activated |
| expiresAt     | string | 2025-09-02T10:15:30Z                 | Date when the balance will expire   |

#### Sample request <a href="#sample-response" id="sample-response"></a>

```
{
    "uid": "058c8716-47dd-4fc4-be89-00978a86b7c0",
    "activatedItem": "a15bb850-c166-4941-aef6-24fdbe27722d",
    "activatedAt": "2025-08-25T09:52:10Z",
    "expiresAt": "2025-09-02T10:15:30Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giga.store/webhooks/balance-activation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
